Subject: bug#16697: 24.3.50; ERC scrolltobottom module does not work anymore

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Feb 2014 05:51:17 +0200

> From: Ivan Kanis <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 10 Feb 2014 22:12:19 +0100
> 
> > However, now that I tried your recipe, I see that Emacs 24.3 also
> > recenters, like the current trunk.  If I then type RET at the "ERC>"
> > prompt, the display is scrolled so that the last non-empty line is
> > indeed at the bottom of the window.
> >
> > I think this is expected, given that scrolltobottom works off the
> > post-command-hook, no?
> >
> > Are you sure that Emacs 24.3 behaves differently here?  Did you
> > perhaps use in Emacs 24.3 erc that is different from the one which was
> > supplied with the release tarball?
> 
> I tested on 24.3 and 24.2 and it does recenter. I am sure this feature
> worked at some point but can't recall when. I can try further previous
> versions if you wish.

I think it "worked" when scrolltobottom used window-scroll-functions,
see bug #11697.

> When I type RET at the prompt I get an error message saying I can't send
> an empty line. It errors "Blank line - ignoring" in the echo area.
> However the display does not scroll up for me.

No, I meant if the last line is not at the bottom of the window,
typing just RET will scroll it to the bottom, because the
post-command-hook will kick in.

So I guess this feature expects an improvement that would put the last
line at the bottom even if no command was invoked by the user.